# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-redis"
  s.version = "2.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2017-06-14"
  s.description = "The Sensu Redis client library"
  s.email = ["portertech@gmail.com"]
  s.files = ["LICENSE.txt", "README.md", "lib/sensu/redis.rb", "lib/sensu/redis/client.rb", "lib/sensu/redis/client/constants.rb", "lib/sensu/redis/client/errors.rb", "lib/sensu/redis/sentinel.rb", "lib/sensu/redis/utilities.rb", "sensu-redis.gemspec"]
  s.homepage = "https://github.com/sensu/sensu-redis"
  s.licenses = ["MIT"]
  s.require_paths = ["lib"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Sensu Redis client library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<eventmachine>, [">= 0"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, ["= 10.5.0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<eventmachine>, [">= 0"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, ["= 10.5.0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<eventmachine>, [">= 0"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, ["= 10.5.0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end

